# frozen_string_literal: true

require_relative 'create'

module Jekyll
  module ActivityPub
    # Represents an Update activity
    class Update < Create
      # Initialize with default data
      #
      # @param :site [Jekyll::Site]
      # @param :actor [Jekyll::ActivityPub::Actor]
      # @param :followers [Jekyll::ActivityPub::Followers]
      # @param :object [Jekyll::ActivityPub::Activity]
      def initialize(site, actor, followers, object)
        super

        data['type'] = 'Update'

        trigger_hooks :post_init
      end
    end
  end
end
